BIJ1 Wordpress Installer
-------------------------
This script automates installing Wordpress with all specific BIJ1 plugins,
template and Advanced Custom Fields settings.

Steps:
- install `zip`, `unzip`, `php` and `php-mysql`
- First you have to setup a database on the db server, e.g. for MariaDB/MySQL (substituting `$WORDPRESS_DB_USER`, `$db`, `$password`, `$server`):
  - ```sql
    CREATE USER '$WORDPRESS_DB_USER'@'$server.internal.bij1.net' IDENTIFIED BY '$password';
    FLUSH PRIVILEGES;
    DROP DATABASE IF EXISTS $db;
    CREATE DATABASE $db CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
    GRANT ALL PRIVILEGES ON $db.* TO '$WORDPRESS_DB_USER'@'$server.internal.bij1.net';
    ```
- Put the files from this repo where you want to install WordPress, and navigate there.
- Start the installer by running `sudo bash ./install.sh`.
- Note down the `bij1admin` password that's generated during installation.
- Tweak the BIJ1 specific settings in `wp-config.php`.

- configure Polylang: `/wp-admin/admin.php?page=mlang_wizard`
- setup smtp-settings: `/wp-admin/options-general.php?page=swpsmtp_settings`
- setup proper site title and slogan: `/wp-admin/options-general.php`
- link menu's: `/wp-admin/nav-menus.php`
- add nieuws page with nieuws items content block
- setup permalinks: `/wp-admin/options-permalink.php`
    Use "Berichtnaam" as permalink configuration
- add a home page and set it up to be used as such: `/wp-admin/options-reading.php`
- setup Ajax Load More plugin
    `/wp-admin/admin.php?page=ajax-load-more#alm-section-1`
    - Select 'div' as Container type
    - Select 'I want to use my own styles'
- disable comments either:
    - on `/wp-admin/options-discussion.php` -> `Allow Comments` / `Sta mensen toe reactie te geven op nieuwe berichten`
    - `UPDATE wp_posts SET comment_status = 'closed';`

If you use this primarily for testing you can run `./cleanup.sh` to remove the
Wordpress install (you'll have to wipe the db manually).
